Bug 230825 - [PATCH] dns/samba-nsupdate: Stop using arc4random_addrandom
Summary: [PATCH] dns/samba-nsupdate: Stop using arc4random_addrandom
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks: 230756
  Show dependency treegraph
 
Reported: 2018-08-23 02:41 UTC by Xin LI
Modified: 2018-08-26 08:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments
Proposed patch (1.16 KB, patch)
2018-08-23 02:41 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2018-08-23 02:41:18 UTC
Created attachment 196453 [details]
Proposed patch

Fixes build with -CURRENT after arc4random_addrandom removal (bug 230756).
Comment 1 Timur I. Bakeyev freebsd_committer 2018-08-23 02:59:17 UTC
(In reply to Xin LI from comment #0)

Thanks, Xin! The more appropriate fix though would be making bind911 slave port that builds nsupdate with necessary flags. Need mat@ approval on that though...
Comment 2 Xin LI freebsd_committer 2018-08-23 20:46:51 UTC
(In reply to Timur I. Bakeyev from comment #1)
That works too, is there a bug tracking this?
Comment 3 Timur I. Bakeyev freebsd_committer 2018-08-24 00:11:35 UTC
(In reply to Xin LI from comment #2)

I've created a revision https://reviews.freebsd.org/D16878

Feel free to review and comment.
Comment 4 commit-hook freebsd_committer 2018-08-26 08:51:13 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:50:58 UTC 2018
New revision: 478110
URL: https://svnweb.freebsd.org/changeset/ports/478110

Log:
  dns/samba-nsupdate: Stop using arc4random_addrandom.

  PR:		230825, 230756
  Approved by;	portmgr (antoine)

Changes:
  head/dns/samba-nsupdate/Makefile
  head/dns/samba-nsupdate/files/patch-lib_isc_random.c
Comment 5 Xin LI freebsd_committer 2018-08-26 08:52:12 UTC
(In reply to Timur I. Bakeyev from comment #3)
Hi, I have landed the change as 478110 so we would not block our change to src/ -HEAD for 12.0-RELEASE.  Could you please rebase your phabricator change against it?